<span class="point-status-container">
  <svg [attr.height]="height" [attr.width]="width">
    <circle [ngClass]="open ? 'open-state' : 'close-state'" [attr.cx]="centerX" [attr.cy]="centerY" [attr.r]="radius"/>
  </svg>
  <span *ngIf="title" class="point-status-title" [ngStyle]="titleStyle">{{title}}</span>
</span>
